| GTK-EXTRA - Reference Manual

| Home

# GtkBorderCombo

## Name

GtkBorderCombo - border combo widget for gtk+

## Synopsis

    GtkType

    gtk_border_combo_get_type

    (void);

    GtkWidget *

    gtk_border_combo_new

     (void);

## Object Hierarchy

     GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBox
                         +----GtkHBox
                               +----GtkCombo
                                     +-----GtkBorderCombo

##
Args

## Signal Prototypes

    void (*changed) (GtkBorderCombo *border_combo, gint selection);

## Description

It is a GtkComboBox subclass with a variety of border styles in the popdown window arranged in a table of togglebuttons.

## Details

    struct _GtkBorderCombo {
             GtkComboBox border_combo;
             gint nrows;
             gint ncols;
             gint row;
             gint column;
             GtkWidget ***button;
             GtkWidget *table;
             };

#### You should access only the entry and list fields directly

### gtk_border_combo_get_type ()

    GtkType gtk_border_combo_get_type (void);

Creates a new border combo.

Returns |

### gtk_border_combo_new ()

    GtkWidget *gtk_border_combo_new (void);

Creates a new border combo.

Returns : | a new bordercombo widget

## Args

## Signals

### The "changed" signal

    void (*changed) (GtkBorderCombo *border_combo, gint selection);

Should be connected if you wish to perform an action whenever the GtkBorderCombo's state is changed.

`border_combo` : | the object which received the signal.
`selection` |

## See Also

GtkCombo

  a text entry field with a dropdown list.

| Home |  |